Difference between revisions of "AMW FAQ"

From Eclipsepedia

Jump to: navigation, search
m
Line 20: Line 20:
 
==Why the menu "Extract ATL-0.2 model into ATL-0.2 file" does not appear when I try to extract an ATL model that was created from a weaving model?==
 
==Why the menu "Extract ATL-0.2 model into ATL-0.2 file" does not appear when I try to extract an ATL model that was created from a weaving model?==
 
Specific extraction and injection menus are available only in the "AM3 Resource Navigator", not in the "Package Explorer" view.
 
Specific extraction and injection menus are available only in the "AM3 Resource Navigator", not in the "Package Explorer" view.
 +
 +
==Why I have an "antlr/tokenstream" error?==
 +
[[AMW]] depends on the [[ATL]] plugins. So the ATL engine must be installed follwing the [http://www.eclipse.org/gmt/atl/download/ ATL installation guide].
 +
This error happens because the ATL engine cannot find antlr.jar.
 +
This file must be copied in "lib" folder of "org.atl.eclipse.engine" plugin.

Revision as of 11:49, 24 October 2006

< To: AMW

This is the AMW wiki FAQ.

Contents


What are the dependencies of AMW? Which are the other plugins that should be installed?

AMW depends on two plugins from ATL and AM3 plugins:

  • org.atl.eclipse.engine
  • org.atl.eclipse.km3

However, it is advisable to install all ATL and KM3 plugins, because AMW contains complex scenarios that use all the components of the AMMA platform, such as ATL transformations, or AM3 Ant Tasks.

Where can I find more information about the model management tasks used in AMW examples?

More information can be found in the AM3 Ant Tasks page.

Which version of AMW, AM3 and ATL should be installed to avoid version problems?

The required versions of the three plugins are mentioned in the corresponding download pages: AMW, AM3, ATL. <p/>

Why the menu "Extract ATL-0.2 model into ATL-0.2 file" does not appear when I try to extract an ATL model that was created from a weaving model?

Specific extraction and injection menus are available only in the "AM3 Resource Navigator", not in the "Package Explorer" view.

Why I have an "antlr/tokenstream" error?

AMW depends on the ATL plugins. So the ATL engine must be installed follwing the ATL installation guide. This error happens because the ATL engine cannot find antlr.jar. This file must be copied in "lib" folder of "org.atl.eclipse.engine" plugin.